//
//  YHBbxCollectionViewCell.swift
//  galaxy
//
//  Created by davidhuangA on 2024/1/17.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHBbxCollectionViewCell: UICollectionViewCell {
    static let cellReuseIdentifier = "YHBbxCollectionViewCell"
    static let bbxCellHeight = 64
    static let bbxCellWidth = 80
    
    lazy var titleImageView:UIImageView = {
        let imageV = UIImageView(image: UIImage(named: "home_bbx_icon"))
        imageV.contentMode = .scaleAspectFill
        return imageV
    }()
    
    
    lazy var descripeLable:UILabel = {
        let label = UILabel()
        label.textColor = UIColor(red: 0.315, green: 0.315, blue: 0.315, alpha: 1)
        label.font = kFont(size: 12)
        label.textAlignment = .center
        label.text = "证件办理"
//        label.backgroundColor = .blue
        return label
    }()
    
    
    
    
    
    
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        setupUI()
    }
    
    
    
    
    private func setupUI() {
//        contentView.backgroundColor = .brown //for test hjl
        contentView.addSubview(titleImageView)
        titleImageView.snp.makeConstraints { make in
            make.top.equalToSuperview()
            make.height.width.equalTo(44)
            make.centerX.equalToSuperview()
        }
        
        contentView.addSubview(descripeLable)
        descripeLable.snp.makeConstraints { make in
            make.top.equalTo(titleImageView.snp.bottom).offset(4)
            make.centerX.equalToSuperview()
            make.height.equalTo(16)
            make.left.right.equalToSuperview()
        }
    }
}
